Skip to main content
PUT
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
terms
/
{termId}
Edit term
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/terms/{termId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "caseSensitive": true,
  "customFields": [
    {
      "fieldName": "<string>",
      "value": {}
    }
  ],
  "exactMatch": true,
  "forbidden": true,
  "lang": "<string>",
  "note": "<string>",
  "preferred": true,
  "shortTranslation": "<string>",
  "usage": "<string>"
}
'
{
  "text": "<string>",
  "caseSensitive": true,
  "conceptId": "<string>",
  "conceptNote": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "customFields": [
    {
      "fieldName": "<string>",
      "value": {}
    }
  ],
  "definition": "<string>",
  "domain": "<string>",
  "exactMatch": true,
  "forbidden": true,
  "gender": "<string>",
  "id": "<string>",
  "lang": "<string>",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "modifiedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "note": "<string>",
  "number": "<string>",
  "partOfSpeech": "<string>",
  "preferred": true,
  "rtl": true,
  "shortTranslation": "<string>",
  "subDomains": [
    "<string>"
  ],
  "termType": "<string>",
  "url": "<string>",
  "usage": "<string>",
  "writable": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required
termId
string
required

Body

application/json
text
string
required
caseSensitive
boolean

Default: false

customFields
object[]
exactMatch
boolean

Default: false

forbidden
boolean

Default: false

gender
enum<string>
Available options:
MASCULINE,
FEMININE,
NEUTRAL
lang
string
note
string
number
enum<string>
Available options:
SINGULAR,
PLURAL,
UNCOUNTABLE
partOfSpeech
enum<string>
Available options:
ADJECTIVE,
NOUN,
VERB,
ADVERB
preferred
boolean

Default: false

shortTranslation
string
status
enum<string>
Available options:
New,
Approved
termType
enum<string>
Available options:
FULL_FORM,
SHORT_FORM,
ACRONYM,
ABBREVIATION,
PHRASE,
VARIANT
usage
string

Response

successful operation

text
string
required
caseSensitive
boolean
conceptId
string
conceptNote
string
createdAt
string<date-time>
createdBy
object
customFields
object[]
definition
string
domain
string
exactMatch
boolean
forbidden
boolean
gender
string
id
string
lang
string
modifiedAt
string<date-time>
modifiedBy
object
note
string
number
string
partOfSpeech
string
preferred
boolean
rtl
boolean
shortTranslation
string
status
enum<string>
Available options:
New,
Approved
subDomains
string[]
termType
string
url
string
usage
string
writable
boolean